Create Invoice Item

View as Markdown
Create a floating invoice item. Works for both User and API Key authentication. Account access is automatically validated via endpoint dependency.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
namestring or nullOptional
customer_idstring or nullOptional
price_idstring or nullOptional
subscription_idstring or nullOptional
descriptionstring or nullOptional
quantitydoubleOptionalDefaults to 1
unit_amountdouble or nullOptional
amountdouble or nullOptional
metadatamap from strings to any or nullOptional

Response

Successful Response
idstring
invoice_idstring or null
descriptionstring or null
quantitydouble
amountinteger
currencystring
metadatamap from strings to any or null
created_atdatetime
updated_atdatetime
priceobject or nullOptional
product_namestring or nullOptional
prorationbooleanOptionalDefaults to false
period_startdatetime or nullOptional
period_enddatetime or nullOptional
subscription_idstring or nullOptional
subscription_item_idstring or nullOptional
tier_breakdownlist of objects or nullOptional

Errors

422
Unprocessable Entity Error